"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-38/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A07A60>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A07AF0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A07B80>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A07C10>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A07CA0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A07D30>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A07DC0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A07E50>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A07EE0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A07F70>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E040>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E0D0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E160>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E1F0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E280>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E310>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E3A0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E430>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E4C0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E550>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E5E0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E670>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E700>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E790>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E8B0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E820>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E940>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0E9D0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0EA60>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0EAF0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0EB80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0EC10>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0ECA0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0ED30>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0EDC0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0EE50>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0EEE0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A0EF70>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11040>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A110D0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11160>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A111F0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11280>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11310>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A113A0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11430>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A114C0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11550>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A115E0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11670>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11700>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11790>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11820>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A118B0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11940>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A119D0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11A60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11AF0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11B80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11C10>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11CA0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11D30>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11DC0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11E50>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11EE0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A150D0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A11F70>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A15160>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A151F0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A15280>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A15310>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A153A0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A154C0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A15430>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A15550>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A155E0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A15670>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A15790>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A15700>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A15820>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A158B0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A15940>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A159D0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A15A60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000013B07A15AF0>)]
name: str = 'fr_HOCCN'
